Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC
Bug 9730 - mozilla 1.0.1-r2 build fails on SMP machine: Can't create dir... file exists
Summary: mozilla 1.0.1-r2 build fails on SMP machine: Can't create dir... file exists
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High major (vote)
Assignee: Martin Schlemmer (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-10-26 19:38 UTC by Dave Andruczyk
Modified: 2003-02-04 19:42 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dave Andruczyk 2002-10-26 19:38:02 UTC
Long standing issue, on my box, had it since installed Gentoo 1.2  Hadto turn my
MAKEOPTS to "" so it wouldn't try a parallel build which breaks every time with
mozilla.  With the following fault my system was set to MAKEOPTS=" -j3" (Dual
proc Athlon MP 1.2 Ghz)

Excerpt follows from build:
make[1]: Entering directory
`/scratch/tmp/portage/mozilla-1.0.1-r2/work/mozilla/security/coreconf/nsinstall'
gcc -o Linux2.4_x86_glibc_PTH_OPT.OBJ/nsinstall.o -c -O2 -fPIC -DLINUX1_2 -Di386
-D_XOPEN_SOURCE -DLINUX2_1 -ansi  -pipe -DLINUX -Dlinux -D_POSIX_SOURCE
-D_BSD_SOURCE -DHAVE_STRERROR -DXP_UNIX -UDEBUG -DNDEBUG -D_REENTRANT
-I../../../dist/Linux2.4_x86_glibc_PTH_OPT.OBJ/include 
-I../../../dist/public/coreconf -I../../../dist/private/coreconf
-I../../../dist/Linux2.4_x86_glibc_PTH_OPT.OBJ/include/nspr
-I../../../dist/Linux2.4_x86_glibc_PTH_OPT.OBJ/include/dbm  nsinstall.c
mkdir: cannot create directory `Linux2.4_x86_glibc_PTH_OPT.OBJ': File exists
make[1]: *** [Linux2.4_x86_glibc_PTH_OPT.OBJ/pathsub.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: Leaving directory
`/scratch/tmp/portage/mozilla-1.0.1-r2/work/mozilla/security/coreconf/nsinstall'
Sat Oct 26 20:30:17 EDT 2002
../coreconf/nsinstall/Linux2.4_x86_glibc_PTH_OPT.OBJ/nsinstall -L ../../dist
include ../../dist/Linux2.4_x86_glibc_PTH_OPT.OBJ
make: ../coreconf/nsinstall/Linux2.4_x86_glibc_PTH_OPT.OBJ/nsinstall: Command
not found
make: *** [moz_import] Error 127

!!! ERROR: The ebuild did not complete successfully.
!!! Function src_compile, Line 165, Exitcode 2
!!! (no error message)

As before if I switch my makeopts to NOT use -jx mozilla should build as did
previous releases when "-jx" was removed from MAKEOPTS(still waiting for it to
compile..)
Comment 1 Simon Marlow 2002-10-29 10:17:50 UTC
It doesn't need an SMP machine to fail: just having -j2 in MAKEOPTS causes the 
reported build failure.  It just failed in 2 out of 2 attempts for me.
Comment 2 Martin Schlemmer (RETIRED) gentoo-dev 2002-10-29 14:34:42 UTC
-j2 works ?
Comment 3 Martin Schlemmer (RETIRED) gentoo-dev 2002-10-29 14:47:57 UTC
Comment #2 was for Dave Andruczyk.

As for Comment #1, -j2 works for me all the time (Pentium 4  2.4Ghz) .. do you
have SMP ?
Comment 4 Dave Andruczyk 2002-10-29 16:27:01 UTC
Yes I have an SMP box,  Dual Athlon 1.2Ghz (MP Processors)

-j2 or higher causes the build failure on my (SMP) machine.
Comment 5 Martin Schlemmer (RETIRED) gentoo-dev 2002-12-08 15:09:14 UTC
This seems to be a problem with the NSS stuff.  Try mozilla-1.2.1 or later,
as it should be fixed there.  Please let me know ...
Comment 6 Martin Schlemmer (RETIRED) gentoo-dev 2002-12-25 20:57:15 UTC
Should be fixed; no traffic.